#include <iostream>
#include<cstring>
#include <fstream>
using namespace std;

int main()
{
    fstream fi,fo;
    fi.open("demtu.inp",ios::in);
    fo.open("demtu.out",ios::out);
    char s[255];
    int i,dem=0;
    fi.getline(s,255);
    for(i=0;i<=strlen(s);i++)
    {
        if(s[i]== ' ' && s[i+1]!= ' ')
            dem++;
    }
    if(s[0]!=' ')
        dem++;
    fo<<dem;
    return 0;
}
